Phones

Update Specific Voice Options

Deprecated

PATCH
/v1/Phones/{phone}/voice

Updates voice service options for the specified Phone Number. Updates only the options that are passed in the request and are not null, does not change other values.

AuthorizationBasic <token>

Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.

In: header

Path Parameters

phone*string

Phone number.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Update voice settings request.

Response Body

curl -X PATCH "https://example.com/v1/Phones/string/voice" \  -H "Content-Type: application/json" \  -d '{    "callsForwardedTo": "+19876543210",    "recordInboundCalls": "false"  }'
{  "number": "+12345678900",  "name": "My First Phone",  "callsForwardedTo": "+19876543210",  "recordInboundCalls": "false",  "voiceStatus": "OffPlatform"}
{  "errors": {    "Name": [      "The Name field is required."    ]  },  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "One or more validation errors occurred.",  "status": 400,  "detail": "Some detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}
{  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "Error title",  "detail": "Error detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}
{  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "Error title",  "detail": "Error detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}